opencv: cv::BriefDescriptorExtractor Class Reference

Public Member Functions | Static Public Attributes | Protected Types | Protected Member Functions | Protected Attributes

# cv::BriefDescriptorExtractor Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::BriefDescriptorExtractor:

List of all members.

## Public Member Functions
| BriefDescriptorExtractor (int bytes=32)
virtual int | descriptorSize () const
virtual int | descriptorType () const
## Static Public Attributes
static const int | KERNEL_SIZE = 9
static const int | PATCH_SIZE = 48
## Protected Types
typedef void(* | PixelTestFn )(const Mat &, const std::vector< KeyPoint > &, Mat &)
## Protected Member Functions
virtual void | computeImpl (const Mat &image, std::vector< KeyPoint > &keypoints, Mat &descriptors) const
## Protected Attributes
int | bytes_
PixelTestFn | test_fn_

## Member Typedef Documentation

typedef void(* cv::BriefDescriptorExtractor::PixelTestFn)(const Mat &, const std::vector< KeyPoint > &, Mat &)`[protected]`

## Constructor & Destructor Documentation

cv::BriefDescriptorExtractor::BriefDescriptorExtractor | ( | int | bytes = `32` ) |

## Member Function Documentation

virtual void cv::BriefDescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | std::vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const`[protected, virtual]`

Todo:
  read and write for brief

virtual int cv::BriefDescriptorExtractor::descriptorSize | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

virtual int cv::BriefDescriptorExtractor::descriptorType | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

## Member Data Documentation

int cv::BriefDescriptorExtractor::bytes_`[protected]`

const int cv::BriefDescriptorExtractor::KERNEL_SIZE = 9`[static]`

const int cv::BriefDescriptorExtractor::PATCH_SIZE = 48`[static]`

PixelTestFn cv::BriefDescriptorExtractor::test_fn_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines